package common.block;

import common.material.Material;
import common.model.ParticleType;
import common.rng.Random;
import common.util.BlockPos;
import common.world.AWorldClient;
import common.world.State;

public class BlockBedrock extends Block {
	public BlockBedrock() {
		super(Material.rock);
	}

	public void randomDisplayTick(AWorldClient worldIn, BlockPos pos, State state, Random rand)
    {
		if(/* worldIn.canShowVoidParticles() && */ pos.getY() <= 5 && rand.chance(8)) {
			worldIn.spawnParticle(ParticleType.SUSPENDED_DEPTH, (double)pos.getX() + rand.floatv(), (double)(pos.getY()+1) + (rand.floatv() * 0.5f), 
					(double)pos.getZ() + rand.floatv(), 0.0D, 0.0D, 0.0D);
		}
    }
}
